Bug 1129482 - Content host -> Bulk Actions -> Auto Attach does not make all my content hosts green although enough subscriptions are available
Summary: Content host -> Bulk Actions -> Auto Attach does not make all my content host...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: Subscription Management
Version: 6.0.3
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Tom McKay
QA Contact: Katello QA List
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-08-12 21:03 UTC by sthirugn@redhat.com
Modified: 2019-09-26 13:49 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-02-26 14:03:12 UTC


Attachments (Terms of Use)

Description sthirugn@redhat.com 2014-08-12 21:03:31 UTC
Description of problem:
Content host -> Bulk Actions -> Auto Attach does not make all my content hosts green although enough subscriptions are available

Version-Release number of selected component (if applicable):
GA Snap 4 - Satellite-6.0.4-RHEL-6-20140806.0

* apr-util-ldap-1.3.9-3.el6_0.1.x86_64
* candlepin-0.9.19-1.el6_5.noarch
* candlepin-scl-1-5.el6_4.noarch
* candlepin-scl-quartz-2.1.5-5.el6_4.noarch
* candlepin-scl-rhino-1.7R3-1.el6_4.noarch
* candlepin-scl-runtime-1-5.el6_4.noarch
* candlepin-selinux-0.9.19-1.el6_5.noarch
* candlepin-tomcat6-0.9.19-1.el6_5.noarch
* elasticsearch-0.90.10-4.el6sat.noarch
* foreman-1.6.0.38-1.el6sat.noarch
* foreman-compute-1.6.0.38-1.el6sat.noarch
* foreman-gce-1.6.0.38-1.el6sat.noarch
* foreman-libvirt-1.6.0.38-1.el6sat.noarch
* foreman-ovirt-1.6.0.38-1.el6sat.noarch
* foreman-postgresql-1.6.0.38-1.el6sat.noarch
* foreman-proxy-1.6.0.23-1.el6sat.noarch
* foreman-selinux-1.6.0.4-1.el6sat.noarch
* foreman-vmware-1.6.0.38-1.el6sat.noarch
* katello-1.5.0-28.el6sat.noarch
* katello-ca-1.0-1.noarch
* katello-certs-tools-1.5.6-1.el6sat.noarch
* katello-installer-0.0.57-1.el6sat.noarch
* openldap-2.4.23-34.el6_5.1.x86_64
* pulp-katello-0.3-3.el6sat.noarch
* pulp-nodes-common-2.4.0-0.30.beta.el6sat.noarch
* pulp-nodes-parent-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-puppet-tools-2.4.0-0.30.beta.el6sat.noarch
* pulp-rpm-plugins-2.4.0-0.30.beta.el6sat.noarch
* pulp-selinux-2.4.0-0.30.beta.el6sat.noarch
* pulp-server-2.4.0-0.30.beta.el6sat.noarch
* python-ldap-2.3.10-1.el6.x86_64
* ruby193-rubygem-net-ldap-0.3.1-3.el6sat.noarch
* ruby193-rubygem-runcible-1.1.0-2.el6sat.noarch
* sssd-ldap-1.11.5.1-3.el6.x86_64

How reproducible:
Always

Steps to Reproduce:
1. Register two content hosts to sat6
2. Navigate to Content hosts (select 2 content hosts) -> Bulk Actions -> Subscriptions -> Click on "Auto attach available subscriptions to all content hosts"

Actual results:
1. Auto attach completed - but it made one of my content host green and the other one still in Red.
2. I again tried the same scenario with 3 content hosts - it made one green and the remaining 2 in Red.
When I go to the Red content hosts after auto attach is completed - Run auto attach on individual content hosts then they become green.  So it looks like this scenario fails only during Bulk Actions.


Expected results:
Auto attach should make all my content host GREEN if I have enough subscriptions.

Additional info:

Comment 2 sthirugn@redhat.com 2014-08-12 21:26:34 UTC
==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:18:45,939 [req=6f2cb3cb-f3af-46eb-8863-45452a16cf9e, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=POST, uri=/candlepin/owners/rhcorp/entitlements
2014-08-12 17:18:45,976 [req=6f2cb3cb-f3af-46eb-8863-45452a16cf9e, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=202, content-type="application/json", time=37ms

==> /var/log/candlepin/audit.log <==
2014-08-12 17:18:46-0400 principalType=trusteduser principal=admin target=POOL entityId=8a90e0e547bda7d70147cc1667f7106c type=CREATED owner=8a90e0e547bda7d70147bdaa698e0000

==> /var/log/foreman/production.log <==
Expire fragment views/tabs_and_title_records-5 (0.1ms)

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:18:46,478 [req=ede642c7-fe51-4ec1-a18e-46c6428121c8, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/owners/rhcorp/servicelevels
2014-08-12 17:18:46,510 [req=ede642c7-fe51-4ec1-a18e-46c6428121c8, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=32ms

==> /var/log/foreman/production.log <==
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/common/async.json.rabl within katello/api/v2/layouts/resource (6.7ms)
Completed 202 Accepted in 626ms (Views: 8.6ms | ActiveRecord: 0.0ms)
Processing by Katello::Api::V2::TasksController#show as JSON
  Parameters: {"organization_id"=>"3", "api_version"=>"v2", "id"=>"37"}
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/tasks/show.json.rabl within katello/api/v2/layouts/resource (2.9ms)
Completed 200 OK in 12ms (Views: 3.7ms | ActiveRecord: 1.5ms)

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:18:50,624 [req=7f6febd1-a58a-4943-9323-48dfe2e71d28, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/jobs/heal_entire_org_793e1473-c459-48a7-bac4-2765898d4a49
2014-08-12 17:18:50,626 [req=7f6febd1-a58a-4943-9323-48dfe2e71d28, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=2ms
2014-08-12 17:18:54,200 [job=heal_entire_org_793e1473-c459-48a7-bac4-2765898d4a49, org=] INFO  org.candlepin.controller.CandlepinPoolManager - Granted entitlement: 8a90e0e547bda7d70147cc1667f6106b from pool: 8a90e0e547bda7d70147bdab519b015c

==> /var/log/candlepin/audit.log <==
2014-08-12 17:18:54-0400 principalType=trusteduser principal=admin target=ENTITLEMENT entityId=8a90e0e547bda7d70147cc1667f6106b type=CREATED owner=8a90e0e547bda7d70147bdaa698e0000

==> /var/log/foreman/production.log <==
Processing by Katello::Api::V2::TasksController#show as JSON
  Parameters: {"organization_id"=>"3", "api_version"=>"v2", "id"=>"37"}
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/tasks/show.json.rabl within katello/api/v2/layouts/resource (4.7ms)
Completed 200 OK in 19ms (Views: 5.9ms | ActiveRecord: 2.2ms)

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:18:55,647 [req=f2afbc2d-ee3a-443c-9317-9e222b03081b, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/jobs/heal_entire_org_793e1473-c459-48a7-bac4-2765898d4a49
2014-08-12 17:18:55,650 [req=f2afbc2d-ee3a-443c-9317-9e222b03081b, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=3ms

==> /var/log/foreman/delayed_job.log <==
2014-08-12T17:18:55-0400: [Worker(delayed_job host:cloud-qe-14.idm.lab.bos.redhat.com pid:15316)] Organization#monitor_owner_auto_attach completed after 5.0977
2014-08-12T17:18:55-0400: [Worker(delayed_job host:cloud-qe-14.idm.lab.bos.redhat.com pid:15316)] 1 jobs processed at 0.1957 j/s, 0 failed ...

==> /var/log/foreman/production.log <==
Processing by Katello::Api::V2::TasksController#show as JSON
  Parameters: {"organization_id"=>"3", "api_version"=>"v2", "id"=>"37"}
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/tasks/show.json.rabl within katello/api/v2/layouts/resource (4.7ms)
Completed 200 OK in 19ms (Views: 5.9ms | ActiveRecord: 2.2ms)
Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
  Parameters: {"id"=>"14d40c09-3ac3-4284-aa8a-27aaf36cf345", "candlepin_proxy"=>{}}

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:19:09,422 [req=d6661c6f-d14f-4ebc-8823-1f238701eea3, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/14d40c09-3ac3-4284-aa8a-27aaf36cf345/certificates/serials
2014-08-12 17:19:09,517 [req=d6661c6f-d14f-4ebc-8823-1f238701eea3, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=95ms

==> /var/log/foreman/production.log <==
Completed 200 OK in 153ms (Views: 0.2ms | ActiveRecord: 1.0ms)
Processing by Katello::Api::Rhsm::CandlepinProxiesController#consumer_show as JSON
  Parameters: {"id"=>"14d40c09-3ac3-4284-aa8a-27aaf36cf345", "candlepin_proxy"=>{}}

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:19:09,640 [req=317ce4db-1d36-4e1a-b825-10a353d0c214, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/14d40c09-3ac3-4284-aa8a-27aaf36cf345
2014-08-12 17:19:09,728 [req=317ce4db-1d36-4e1a-b825-10a353d0c214, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=88ms

==> /var/log/foreman/production.log <==
Completed 200 OK in 111ms (Views: 5.3ms | ActiveRecord: 0.5ms)
Processing by Katello::Api::Rhsm::CandlepinProxiesController#get as JSON
  Parameters: {"id"=>"14d40c09-3ac3-4284-aa8a-27aaf36cf345", "candlepin_proxy"=>{}}

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:19:09,864 [req=491b7927-88a7-48c1-9141-19c2baa13904, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/14d40c09-3ac3-4284-aa8a-27aaf36cf345/release
2014-08-12 17:19:09,931 [req=491b7927-88a7-48c1-9141-19c2baa13904, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=67ms

==> /var/log/foreman/production.log <==
Completed 200 OK in 91ms (Views: 0.2ms | ActiveRecord: 0.5ms)
Processing by Katello::Api::V2::RootController#resource_list as JSON
  Parameters: {"root"=>{}}
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/root/resource_list.json.rabl within katello/api/v2/layouts/collection (3.2ms)
Completed 200 OK in 124ms (Views: 5.3ms | ActiveRecord: 0.0ms)
Processing by Bastion::BastionController#index as HTML
  Parameters: {"bastion_page"=>"content_hosts", "path"=>"bulk-actions/bulk-subscriptions"}
  Rendered home/_submenu.html.erb (3.4ms)
  Rendered home/_user_dropdown.html.erb (1.1ms)
Read fragment views/tabs_and_title_records-3 (0.1ms)
  Rendered home/_topbar.html.erb (5.9ms)
  Rendered layouts/base.html.erb (6.8ms)
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/engines/bastion/app/views/bastion/layouts/application.html.haml (13.0ms)
Completed 200 OK in 22ms (Views: 12.2ms | ActiveRecord: 3.0ms)
Processing by Katello::Api::V2::SystemsController#index as JSON
  Parameters: {"order"=>"name ASC", "organization_id"=>"3", "page"=>"1", "search"=>"", "api_version"=>"v2"}
Processing by Katello::Api::V2::OrganizationsController#show as JSON
  Parameters: {"full_result"=>"true", "api_version"=>"v2", "id"=>"3"}

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:20:36,722 [req=c8090d83-32ff-4374-a39e-75a7ff4797c5, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/dfaeb150-6f0d-4e14-b507-40a2da0853e0
2014-08-12 17:20:36,765 [req=63b0a1cc-6970-4cab-9a12-265b08312d76, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/owners/rhcorp/servicelevels
2014-08-12 17:20:36,786 [req=63b0a1cc-6970-4cab-9a12-265b08312d76, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=21ms
2014-08-12 17:20:36,807 [req=bbc111c7-48c7-49f8-af14-0e5c66fb2bbd, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/owners/rhcorp
2014-08-12 17:20:36,826 [req=bbc111c7-48c7-49f8-af14-0e5c66fb2bbd, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=19ms
2014-08-12 17:20:36,834 [req=c8090d83-32ff-4374-a39e-75a7ff4797c5, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=112ms
2014-08-12 17:20:36,840 [req=a9421d42-4dd3-4619-83fd-39d57d6b0a86, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/owners/rhcorp
2014-08-12 17:20:36,846 [req=83f7d833-c3a3-4931-b6a7-860319a28f52, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/dfaeb150-6f0d-4e14-b507-40a2da0853e0/content_overrides
2014-08-12 17:20:36,863 [req=a9421d42-4dd3-4619-83fd-39d57d6b0a86, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=23ms

==> /var/log/foreman/production.log <==
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/organizations/show.json.rabl (140.4ms)
Completed 200 OK in 147ms (Views: 137.0ms | ActiveRecord: 5.1ms)

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:20:36,875 [req=83f7d833-c3a3-4931-b6a7-860319a28f52, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=29ms
2014-08-12 17:20:36,892 [req=80565c82-a575-4a69-8fe7-db137d9c32a5, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/dfaeb150-6f0d-4e14-b507-40a2da0853e0/entitlements
2014-08-12 17:20:36,986 [req=80565c82-a575-4a69-8fe7-db137d9c32a5, org=rhcorp] INFO  org.candlepin.controller.CandlepinPoolManager - Found dirty entitlement to regenerate: Entitlement[id=8a90e0e547bda7d70147cc1667f6106b, product=ES0113909, consumer= dfaeb150-6f0d-4e14-b507-40a2da0853e0]

==> /var/log/foreman/production.log <==
Processing by Katello::Api::V2::TasksController#show as JSON
  Parameters: {"full_result"=>"true", "organization_id"=>"3", "api_version"=>"v2", "id"=>"37"}
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/tasks/show.json.rabl within katello/api/v2/layouts/resource (3.1ms)
Completed 200 OK in 12ms (Views: 4.0ms | ActiveRecord: 1.5ms)

==> /var/log/candlepin/audit.log <==
2014-08-12 17:20:44-0400 principalType=trusteduser principal=admin target=ENTITLEMENT entityId=8a90e0e547bda7d70147cc1667f6106b type=MODIFIED owner=8a90e0e547bda7d70147bdaa698e0000

==> /var/log/candlepin/candlepin.log <==
2014-08-12 17:20:44,662 [req=80565c82-a575-4a69-8fe7-db137d9c32a5, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=7769ms
2014-08-12 17:20:44,784 [req=eecf21a6-b831-4181-bfbe-79f35d50649d, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/pools/8a90e0e547bda7d70147bdab519b015c
2014-08-12 17:20:44,835 [req=eecf21a6-b831-4181-bfbe-79f35d50649d, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=51ms
2014-08-12 17:20:44,877 [req=959bbdde-6975-467b-82a4-9d4581596cfd, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/c4c1a93d-69ce-4802-8c2a-4d99f0fdf9e5
2014-08-12 17:20:44,935 [req=959bbdde-6975-467b-82a4-9d4581596cfd, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=58ms
2014-08-12 17:20:44,958 [req=e27ddecf-221b-48d7-b4a1-870b8abd1a14, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/c4c1a93d-69ce-4802-8c2a-4d99f0fdf9e5/content_overrides
2014-08-12 17:20:44,986 [req=e27ddecf-221b-48d7-b4a1-870b8abd1a14, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=29ms
2014-08-12 17:20:45,006 [req=3339777b-3606-455d-bad7-1cb881da91d9, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/c4c1a93d-69ce-4802-8c2a-4d99f0fdf9e5/entitlements
2014-08-12 17:20:45,073 [req=3339777b-3606-455d-bad7-1cb881da91d9, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=67ms
2014-08-12 17:20:45,109 [req=65da6061-a2dd-4617-8d26-a07d4a6dae80, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/14d40c09-3ac3-4284-aa8a-27aaf36cf345
2014-08-12 17:20:45,183 [req=65da6061-a2dd-4617-8d26-a07d4a6dae80, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=74ms
2014-08-12 17:20:45,205 [req=ec19aa7e-5b32-4a3d-90ce-f32cf31a1a2e, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/14d40c09-3ac3-4284-aa8a-27aaf36cf345/content_overrides
2014-08-12 17:20:45,248 [req=ec19aa7e-5b32-4a3d-90ce-f32cf31a1a2e, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=44ms
2014-08-12 17:20:45,269 [req=0150db8b-a80b-4694-9f2f-cddcb25caf0e, org=] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Request: verb=GET, uri=/candlepin/consumers/14d40c09-3ac3-4284-aa8a-27aaf36cf345/entitlements
2014-08-12 17:20:45,333 [req=0150db8b-a80b-4694-9f2f-cddcb25caf0e, org=rhcorp] INFO  org.candlepin.servlet.filter.logging.LoggingFilter - Response: status=200, content-type="application/json", time=64ms

==> /var/log/foreman/production.log <==
  Rendered /opt/rh/ruby193/root/usr/share/gems/gems/katello-1.5.0/app/views/katello/api/v2/systems/index.json.rabl within katello/api/v2/layouts/collection (8666.3ms)
Completed 200 OK in 8686ms (Views: 8657.7ms | ActiveRecord: 11.7ms)

Comment 3 Tom McKay 2016-02-26 14:03:12 UTC
unable to reproduce upstream


Note You need to log in before you can comment on or make changes to this bug.